Package com.microblink.blinkid.activity.result.contract

# Class OneSideDocumentScan

java.lang.Object
androidx.activity.result.contract.ActivityResultContract<Void,OneSideScanResult>
com.microblink.blinkid.activity.result.contract.OneSideDocumentScan

public class OneSideDocumentScan extends androidx.activity.result.contract.ActivityResultContract<Void,OneSideScanResult>
The Activity Result API's contract to launch scanning of a one-sided document with `BlinkIdUISettings` and `BlinkIdSingleSideRecognizer`.

Returns the `OneSideScanResult`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class androidx.activity.result.contract.ActivityResultContract

  `androidx.activity.result.contract.ActivityResultContract.SynchronousResult<T extends Object>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `EXTRA_SCAN_EXCEPTION`
  Key for exception stored in intent when returning result with the `Activity.RESULT_CANCELED` code.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OneSideDocumentScan()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `android.content.Intent`
  `createIntent(android.content.Context context, Void ignore)`
  `OneSideScanResult`
  `parseResult(int resultCode, android.content.Intent data)`

  ### Methods inherited from class androidx.activity.result.contract.ActivityResultContract

  `getSynchronousResult`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### EXTRA_SCAN_EXCEPTION

    public static final String EXTRA_SCAN_EXCEPTION
    Key for exception stored in intent when returning result with the `Activity.RESULT_CANCELED` code.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### OneSideDocumentScan

    public OneSideDocumentScan()

- ## Method Details

  - ### createIntent

    @NonNull public android.content.Intent createIntent(@NonNull android.content.Context context, Void ignore)
    Specified by:
      `createIntent` in class `androidx.activity.result.contract.ActivityResultContract<Void,OneSideScanResult>`

  - ### parseResult

    public OneSideScanResult parseResult(int resultCode, @Nullable android.content.Intent data)
    Specified by:
      `parseResult` in class `androidx.activity.result.contract.ActivityResultContract<Void,OneSideScanResult>`